
#include <string.h>
#include <wx/frame.h>
#include <wx/button.h>
#include <wx/string.h>
#include <wx/textdlg.h>
#include <wx/event.h>
#include <wx/stattext.h>
#include <pwd.h>

#ifndef PSWDWINDOW_H

#define PSWDWINDOW_H

class pswdWindow : public wxFrame
{
    public:
      
        /*Constructor for the pswdWindow class*/
        pswdWindow(string * strHolder, wxString readout);
	
	/*Takes the user's password entry and compares it with the pwd_passwd element*/
        void onEntry(wxCommandEvent &event);
	
	/*When someone decides not to save the file*/
	void onCancel(wxCloseEvent &event);
	
	/*Or you could just close the window*/
	void onClose(wxCloseEvent &event);
    private:
        wxPasswordEntryDialog field1;
	wxButton entryButton, cancelButton;
	bool * canHazMatch;
	wxString textRead;
}
	
#endif